<?php
namespace PHPMaker2020\recetarios_2021;

// Autoload
include_once "autoload.php";

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	\Delight\Cookie\Session::start(Config("COOKIE_SAMESITE")); // Init session data

// Output buffering
ob_start();
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$entradas_edit = new entradas_edit();

// Run the page
$entradas_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$entradas_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fentradasedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	fentradasedit = currentForm = new ew.Form("fentradasedit", "edit");

	// Validate form
	fentradasedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "confirm")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($entradas_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->id->caption(), $entradas_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($entradas_edit->Fecha_Hora->Required) { ?>
				elm = this.getElements("x" + infix + "_Fecha_Hora");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Fecha_Hora->caption(), $entradas_edit->Fecha_Hora->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_Fecha_Hora");
				if (elm && !ew.checkDateDef(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->Fecha_Hora->errorMessage()) ?>");
			<?php if ($entradas_edit->Referencia->Required) { ?>
				elm = this.getElements("x" + infix + "_Referencia");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Referencia->caption(), $entradas_edit->Referencia->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_Referencia");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->Referencia->errorMessage()) ?>");
			<?php if ($entradas_edit->id_Remitente->Required) { ?>
				elm = this.getElements("x" + infix + "_id_Remitente");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->id_Remitente->caption(), $entradas_edit->id_Remitente->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_Remitente");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->id_Remitente->errorMessage()) ?>");
			<?php if ($entradas_edit->Motivo->Required) { ?>
				elm = this.getElements("x" + infix + "_Motivo");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Motivo->caption(), $entradas_edit->Motivo->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($entradas_edit->id_Usuario->Required) { ?>
				elm = this.getElements("x" + infix + "_id_Usuario");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->id_Usuario->caption(), $entradas_edit->id_Usuario->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_Usuario");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->id_Usuario->errorMessage()) ?>");
			<?php if ($entradas_edit->Mes->Required) { ?>
				elm = this.getElements("x" + infix + "_Mes");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Mes->caption(), $entradas_edit->Mes->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_Mes");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->Mes->errorMessage()) ?>");
			<?php if ($entradas_edit->Anio->Required) { ?>
				elm = this.getElements("x" + infix + "_Anio");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Anio->caption(), $entradas_edit->Anio->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_Anio");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($entradas_edit->Anio->errorMessage()) ?>");
			<?php if ($entradas_edit->Remitente->Required) { ?>
				elm = this.getElements("x" + infix + "_Remitente");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $entradas_edit->Remitente->caption(), $entradas_edit->Remitente->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fentradasedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fentradasedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fentradasedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $entradas_edit->showPageHeader(); ?>
<?php
$entradas_edit->showMessage();
?>
<form name="fentradasedit" id="fentradasedit" class="<?php echo $entradas_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="entradas">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$entradas_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($entradas_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_entradas_id" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->id->caption() ?><?php echo $entradas_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->id->cellAttributes() ?>>
<span id="el_entradas_id">
<span<?php echo $entradas_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($entradas_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="entradas" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($entradas_edit->id->CurrentValue) ?>">
<?php echo $entradas_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Fecha_Hora->Visible) { // Fecha_Hora ?>
	<div id="r_Fecha_Hora" class="form-group row">
		<label id="elh_entradas_Fecha_Hora" for="x_Fecha_Hora" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Fecha_Hora->caption() ?><?php echo $entradas_edit->Fecha_Hora->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Fecha_Hora->cellAttributes() ?>>
<span id="el_entradas_Fecha_Hora">
<input type="text" data-table="entradas" data-field="x_Fecha_Hora" name="x_Fecha_Hora" id="x_Fecha_Hora" maxlength="19" placeholder="<?php echo HtmlEncode($entradas_edit->Fecha_Hora->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->Fecha_Hora->EditValue ?>"<?php echo $entradas_edit->Fecha_Hora->editAttributes() ?>>
<?php if (!$entradas_edit->Fecha_Hora->ReadOnly && !$entradas_edit->Fecha_Hora->Disabled && !isset($entradas_edit->Fecha_Hora->EditAttrs["readonly"]) && !isset($entradas_edit->Fecha_Hora->EditAttrs["disabled"])) { ?>
<script>
loadjs.ready(["fentradasedit", "datetimepicker"], function() {
	ew.createDateTimePicker("fentradasedit", "x_Fecha_Hora", {"ignoreReadonly":true,"useCurrent":false,"format":0});
});
</script>
<?php } ?>
</span>
<?php echo $entradas_edit->Fecha_Hora->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Referencia->Visible) { // Referencia ?>
	<div id="r_Referencia" class="form-group row">
		<label id="elh_entradas_Referencia" for="x_Referencia" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Referencia->caption() ?><?php echo $entradas_edit->Referencia->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Referencia->cellAttributes() ?>>
<span id="el_entradas_Referencia">
<input type="text" data-table="entradas" data-field="x_Referencia" name="x_Referencia" id="x_Referencia" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($entradas_edit->Referencia->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->Referencia->EditValue ?>"<?php echo $entradas_edit->Referencia->editAttributes() ?>>
</span>
<?php echo $entradas_edit->Referencia->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->id_Remitente->Visible) { // id_Remitente ?>
	<div id="r_id_Remitente" class="form-group row">
		<label id="elh_entradas_id_Remitente" for="x_id_Remitente" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->id_Remitente->caption() ?><?php echo $entradas_edit->id_Remitente->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->id_Remitente->cellAttributes() ?>>
<span id="el_entradas_id_Remitente">
<input type="text" data-table="entradas" data-field="x_id_Remitente" name="x_id_Remitente" id="x_id_Remitente" size="30" maxlength="150" placeholder="<?php echo HtmlEncode($entradas_edit->id_Remitente->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->id_Remitente->EditValue ?>"<?php echo $entradas_edit->id_Remitente->editAttributes() ?>>
</span>
<?php echo $entradas_edit->id_Remitente->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Motivo->Visible) { // Motivo ?>
	<div id="r_Motivo" class="form-group row">
		<label id="elh_entradas_Motivo" for="x_Motivo" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Motivo->caption() ?><?php echo $entradas_edit->Motivo->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Motivo->cellAttributes() ?>>
<span id="el_entradas_Motivo">
<textarea data-table="entradas" data-field="x_Motivo" name="x_Motivo" id="x_Motivo" cols="35" rows="4" placeholder="<?php echo HtmlEncode($entradas_edit->Motivo->getPlaceHolder()) ?>"<?php echo $entradas_edit->Motivo->editAttributes() ?>><?php echo $entradas_edit->Motivo->EditValue ?></textarea>
</span>
<?php echo $entradas_edit->Motivo->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->id_Usuario->Visible) { // id_Usuario ?>
	<div id="r_id_Usuario" class="form-group row">
		<label id="elh_entradas_id_Usuario" for="x_id_Usuario" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->id_Usuario->caption() ?><?php echo $entradas_edit->id_Usuario->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->id_Usuario->cellAttributes() ?>>
<span id="el_entradas_id_Usuario">
<input type="text" data-table="entradas" data-field="x_id_Usuario" name="x_id_Usuario" id="x_id_Usuario" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($entradas_edit->id_Usuario->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->id_Usuario->EditValue ?>"<?php echo $entradas_edit->id_Usuario->editAttributes() ?>>
</span>
<?php echo $entradas_edit->id_Usuario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Mes->Visible) { // Mes ?>
	<div id="r_Mes" class="form-group row">
		<label id="elh_entradas_Mes" for="x_Mes" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Mes->caption() ?><?php echo $entradas_edit->Mes->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Mes->cellAttributes() ?>>
<span id="el_entradas_Mes">
<input type="text" data-table="entradas" data-field="x_Mes" name="x_Mes" id="x_Mes" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($entradas_edit->Mes->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->Mes->EditValue ?>"<?php echo $entradas_edit->Mes->editAttributes() ?>>
</span>
<?php echo $entradas_edit->Mes->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Anio->Visible) { // Anio ?>
	<div id="r_Anio" class="form-group row">
		<label id="elh_entradas_Anio" for="x_Anio" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Anio->caption() ?><?php echo $entradas_edit->Anio->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Anio->cellAttributes() ?>>
<span id="el_entradas_Anio">
<input type="text" data-table="entradas" data-field="x_Anio" name="x_Anio" id="x_Anio" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($entradas_edit->Anio->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->Anio->EditValue ?>"<?php echo $entradas_edit->Anio->editAttributes() ?>>
</span>
<?php echo $entradas_edit->Anio->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($entradas_edit->Remitente->Visible) { // Remitente ?>
	<div id="r_Remitente" class="form-group row">
		<label id="elh_entradas_Remitente" for="x_Remitente" class="<?php echo $entradas_edit->LeftColumnClass ?>"><?php echo $entradas_edit->Remitente->caption() ?><?php echo $entradas_edit->Remitente->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $entradas_edit->RightColumnClass ?>"><div <?php echo $entradas_edit->Remitente->cellAttributes() ?>>
<span id="el_entradas_Remitente">
<input type="text" data-table="entradas" data-field="x_Remitente" name="x_Remitente" id="x_Remitente" size="30" maxlength="150" placeholder="<?php echo HtmlEncode($entradas_edit->Remitente->getPlaceHolder()) ?>" value="<?php echo $entradas_edit->Remitente->EditValue ?>"<?php echo $entradas_edit->Remitente->editAttributes() ?>>
</span>
<?php echo $entradas_edit->Remitente->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$entradas_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $entradas_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $entradas_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$entradas_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$entradas_edit->terminate();
?>